package seng302;

import seng302.Model.Boat;
import seng302.Model.Leg;
import seng302.Model.Marker;

import java.time.ZonedDateTime;
import java.util.List;

/**
 * Created by connortaylorbrown on 19/04/17.
 */
public interface RaceDataSource {
    List<Boat> getBoats();
    List<Leg> getLegs();
    List<Marker> getMarkers();
    List<GPSCoordinate> getBoundary();

    ZonedDateTime getZonedDateTime();
    GPSCoordinate getMapTopLeft();
    GPSCoordinate getMapBottomRight();
}
